#!/bin/bash


# ftp Zugangsdaten
USERNAME=<username>
PASSWORD=<passwort>
SERVER=<server>

# aufruf der per htaccess php Datei
USER=<user>
PASSWORD2=<passwort>
URL=<url zum Aufruf ohne dump.php Angabe>
DATEIPFAD=<Pfad zur dump.php per ftp>

DATE=`date +%Y%m%d`
TARGET=/backup/${SERVER}/${DATE}

mkdir -p $TARGET



ncftpget -T -R -v -u $USERNAME -p $PASSWORD  $SERVER $TARGET/www '/*'

# Verzeichniss packen ungepackte Version loeschen
cd $TARGET
tar cfzv www.tar.gz www 

rm -R $TARGET/www


#dump ausfhren
lynx -auth=${USER}:${PASSWORD2} http://${URL}/dump.php -dump

sleep 30

# Dateien herunterladen
ncftpget -T -R -v -DD -u $USERNAME -p $PASSWORD $SERVER $TARGET $DATEIPFAD/*.sql

gzip $TARGET/*sql
